<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.BaseDeviceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.BaseDevice">
        <id column="id" property="id" />
        <result column="device_code" property="deviceCode" />
        <result column="device_name" property="deviceName" />
        <result column="install_address" property="installAddress" />
        <result column="device_type" property="deviceType" />
        <result column="product_id" property="productId" />
        <result column="floor" property="floor" />
        <result column="sim_num" property="simNum" />
        <result column="communicat_mode" property="communicatMode" />
        <result column="model_position" property="modelPosition" />
        <result column="fire_zone" property="fireZone" />
        <result column="magnification" property="magnification" />
        <result column="analytic_method" property="analyticMethod" />
        <result column="install_time" property="installTime" />
        <result column="install_person" property="installPerson" />
        <result column="enable" property="enable" />
        <result column="company_id" property="companyId" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="update_person" property="updatePerson" />
        <result column="creator" property="creator" />
    </resultMap>

</mapper>
